package com.ssm.manage.entity;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 促销取消欠款明细(CancelDebtMx)实体类
 *
 * @author makejava
 * @since 2022-05-07 11:27:20
 */

@Table(name = "cancel_debt_mx")
@JsonIgnoreProperties(ignoreUnknown = true)
public class CancelDebtMx implements Serializable {
    private static final long serialVersionUID = 157160120188096888L;
    /**
     * Id
     */
    @Id
    private Long id;
    /**
     * 疗程卡包Id
     */
    @Column(name = "course_id")
    private Long courseId;
    /**
     * 取消欠款金额
     */
    @Column(name = "cancel_money")
    private BigDecimal cancelMoney;
    /**
     * 取消欠款次数
     */
    @Column(name = "cancel_num")
    private Integer cancelNum;
    /**
     * 取消欠款单主表Id
     */
    @Column(name = "cancel_debt_id")
    private Long cancelDebtId;
    /**
     * 开卡疗程ID
     */
    @Column(name = "course_project_id")
    private Long courseProjectId;
    /**
     * 开卡疗程名称
     */
    @Column(name = "course_project_name")
    private String courseProjectName;
    /**
     * 项目编码
     */
    @Column(name = "course_project_num")
    private String courseProjectNum;
    /**
     * 欠款金额
     */
    @Column(name = "debt_money")
    private BigDecimal debtMoney;
    /**
     * 欠款次数
     */
    @Column(name = "debt_count")
    private Integer debtCount;
    /**
     * 促销单据Id
     */
    @Column(name = "doc_promotion_id")
    private Long docPromotionId;

    /**
     * 取消前单价
     */
    @Column(name = "before_price")
    private BigDecimal beforePrice;
    /**
     * 取消前剩余金额
     */
    @Column(name = "before_rest_money")
    private BigDecimal beforeRestMoney;
    /**
     * 取消前可用金额
     */
    @Column(name = "before_consume_money")
    private BigDecimal beforeConsumeMoney;

    /**
     * 取消前剩余赠送金额
     */
    @Column(name = "before_gift_consume_money")
    private BigDecimal beforeGiftConsumeMoney;

    /**
     * 取消前可用赠送金额
     */
    @Column(name = "before_gift_rest_money")
    private BigDecimal beforeGiftRestMoney;

    /**
     * 取消前剩余次数
     */
    @Column(name = "before_rest_count")
    private Integer  beforeRestCount;
    /**
     * 取消前可用次数
     */
    @Column(name = "before_consume_count")
    private Integer beforeConsumeCount;


    /**
     * 取消后单价
     */
    @Column(name = "back_price")
    private BigDecimal backPrice;
    /**
     * 取消后剩余金额
     */
    @Column(name = "back_rest_money")
    private BigDecimal backRestMoney;
    /**
     * 取消后可用金额
     */
    @Column(name = "back_consume_money")
    private BigDecimal backConsumeMoney;


    /**
     * 取消前剩余赠送金额
     */
    @Column(name = "back_gift_consume_money")
    private BigDecimal backGiftConsumeMoney;

    /**
     * 取消前可用赠送金额
     */
    @Column(name = "back_gift_rest_money")
    private BigDecimal backGiftRestMoney;

    /**
     * 取消后剩余次数
     */
    @Column(name = "back_rest_count")
    private Integer  backRestCount;
    /**
     * 取消后可用次数
     */
    @Column(name = "back_consume_count")
    private Integer backConsumeCount;

    public BigDecimal getBeforePrice() {
        return beforePrice;
    }

    public void setBeforePrice(BigDecimal beforePrice) {
        this.beforePrice = beforePrice;
    }

    public BigDecimal getBeforeRestMoney() {
        return beforeRestMoney;
    }

    public void setBeforeRestMoney(BigDecimal beforeRestMoney) {
        this.beforeRestMoney = beforeRestMoney;
    }

    public BigDecimal getBeforeConsumeMoney() {
        return beforeConsumeMoney;
    }

    public void setBeforeConsumeMoney(BigDecimal beforeConsumeMoney) {
        this.beforeConsumeMoney = beforeConsumeMoney;
    }

    public BigDecimal getBeforeGiftConsumeMoney() {
        return beforeGiftConsumeMoney;
    }

    public void setBeforeGiftConsumeMoney(BigDecimal beforeGiftConsumeMoney) {
        this.beforeGiftConsumeMoney = beforeGiftConsumeMoney;
    }

    public BigDecimal getBeforeGiftRestMoney() {
        return beforeGiftRestMoney;
    }

    public void setBeforeGiftRestMoney(BigDecimal beforeGiftRestMoney) {
        this.beforeGiftRestMoney = beforeGiftRestMoney;
    }

    public Integer getBeforeRestCount() {
        return beforeRestCount;
    }

    public void setBeforeRestCount(Integer beforeRestCount) {
        this.beforeRestCount = beforeRestCount;
    }

    public Integer getBeforeConsumeCount() {
        return beforeConsumeCount;
    }

    public void setBeforeConsumeCount(Integer beforeConsumeCount) {
        this.beforeConsumeCount = beforeConsumeCount;
    }

    public BigDecimal getBackPrice() {
        return backPrice;
    }

    public void setBackPrice(BigDecimal backPrice) {
        this.backPrice = backPrice;
    }

    public BigDecimal getBackRestMoney() {
        return backRestMoney;
    }

    public void setBackRestMoney(BigDecimal backRestMoney) {
        this.backRestMoney = backRestMoney;
    }

    public BigDecimal getBackConsumeMoney() {
        return backConsumeMoney;
    }

    public void setBackConsumeMoney(BigDecimal backConsumeMoney) {
        this.backConsumeMoney = backConsumeMoney;
    }

    public BigDecimal getBackGiftConsumeMoney() {
        return backGiftConsumeMoney;
    }

    public void setBackGiftConsumeMoney(BigDecimal backGiftConsumeMoney) {
        this.backGiftConsumeMoney = backGiftConsumeMoney;
    }

    public BigDecimal getBackGiftRestMoney() {
        return backGiftRestMoney;
    }

    public void setBackGiftRestMoney(BigDecimal backGiftRestMoney) {
        this.backGiftRestMoney = backGiftRestMoney;
    }

    public Integer getBackRestCount() {
        return backRestCount;
    }

    public void setBackRestCount(Integer backRestCount) {
        this.backRestCount = backRestCount;
    }

    public Integer getBackConsumeCount() {
        return backConsumeCount;
    }

    public void setBackConsumeCount(Integer backConsumeCount) {
        this.backConsumeCount = backConsumeCount;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getCourseId() {
        return courseId;
    }

    public void setCourseId(Long courseId) {
        this.courseId = courseId;
    }

    public BigDecimal getCancelMoney() {
        return cancelMoney;
    }

    public void setCancelMoney(BigDecimal cancelMoney) {
        this.cancelMoney = cancelMoney;
    }

    public Integer getCancelNum() {
        return cancelNum;
    }

    public void setCancelNum(Integer cancelNum) {
        this.cancelNum = cancelNum;
    }

    public Long getCancelDebtId() {
        return cancelDebtId;
    }

    public void setCancelDebtId(Long cancelDebtId) {
        this.cancelDebtId = cancelDebtId;
    }

    public Long getCourseProjectId() {
        return courseProjectId;
    }

    public void setCourseProjectId(Long courseProjectId) {
        this.courseProjectId = courseProjectId;
    }

    public String getCourseProjectName() {
        return courseProjectName;
    }

    public void setCourseProjectName(String courseProjectName) {
        this.courseProjectName = courseProjectName;
    }

    public String getCourseProjectNum() {
        return courseProjectNum;
    }

    public void setCourseProjectNum(String courseProjectNum) {
        this.courseProjectNum = courseProjectNum;
    }

    public BigDecimal getDebtMoney() {
        return debtMoney;
    }

    public void setDebtMoney(BigDecimal debtMoney) {
        this.debtMoney = debtMoney;
    }

    public Integer getDebtCount() {
        return debtCount;
    }

    public void setDebtCount(Integer debtCount) {
        this.debtCount = debtCount;
    }

    public Long getDocPromotionId() {
        return docPromotionId;
    }

    public void setDocPromotionId(Long docPromotionId) {
        this.docPromotionId = docPromotionId;
    }

}

